gps

The gps proxy provides an interface to a GPS-receiver. More...

## Classes

struct | playerc_gps_t
| GPS proxy data. More...

## Functions

PLAYERC_EXPORT playerc_gps_t * | playerc_gps_create (playerc_client_t *client, int index)
| Create a gps proxy. More...
PLAYERC_EXPORT void | playerc_gps_destroy (playerc_gps_t *device)
| Destroy a gps proxy. More...
PLAYERC_EXPORT int | playerc_gps_subscribe (playerc_gps_t *device, int access)
| Subscribe to the gps device. More...
PLAYERC_EXPORT int | playerc_gps_unsubscribe (playerc_gps_t *device)
| Un-subscribe from the gps device. More...

## Detailed Description

The gps proxy provides an interface to a GPS-receiver.

## Function Documentation

PLAYERC_EXPORT playerc_gps_t* playerc_gps_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a gps proxy.

PLAYERC_EXPORT void playerc_gps_destroy | ( | playerc_gps_t * | device | ) |

Destroy a gps proxy.

PLAYERC_EXPORT int playerc_gps_subscribe | ( | playerc_gps_t * | device,
|  | int | access
| ) |  |

Subscribe to the gps device.

PLAYERC_EXPORT int playerc_gps_unsubscribe | ( | playerc_gps_t * | device | ) |

Un-subscribe from the gps device.

Last updated 12 September 2005 21:38:45